package com.facebook.share.model;

import android.net.Uri;
import com.facebook.share.model.ShareContent.Builder;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class ShareMessengerOpenGraphMusicTemplateContent$Builder extends Builder<ShareMessengerOpenGraphMusicTemplateContent, ShareMessengerOpenGraphMusicTemplateContent$Builder> {
    private ShareMessengerActionButton button;
    private Uri url;

    public ShareMessengerOpenGraphMusicTemplateContent$Builder setUrl(Uri uri) {
        this.url = uri;
        return this;
    }

    public ShareMessengerOpenGraphMusicTemplateContent$Builder setButton(ShareMessengerActionButton shareMessengerActionButton) {
        this.button = shareMessengerActionButton;
        return this;
    }

    public ShareMessengerOpenGraphMusicTemplateContent$Builder readFrom(ShareMessengerOpenGraphMusicTemplateContent shareMessengerOpenGraphMusicTemplateContent) {
        AppMethodBeat.i(97495);
        if (shareMessengerOpenGraphMusicTemplateContent == null) {
            AppMethodBeat.o(97495);
            return this;
        }
        this = ((ShareMessengerOpenGraphMusicTemplateContent$Builder) super.readFrom(shareMessengerOpenGraphMusicTemplateContent)).setUrl(shareMessengerOpenGraphMusicTemplateContent.getUrl()).setButton(shareMessengerOpenGraphMusicTemplateContent.getButton());
        AppMethodBeat.o(97495);
        return this;
    }

    public ShareMessengerOpenGraphMusicTemplateContent build() {
        AppMethodBeat.i(97496);
        ShareMessengerOpenGraphMusicTemplateContent shareMessengerOpenGraphMusicTemplateContent = new ShareMessengerOpenGraphMusicTemplateContent(this, null);
        AppMethodBeat.o(97496);
        return shareMessengerOpenGraphMusicTemplateContent;
    }
}
